jQuery to be default javascript framework of e107 v2.0

admin by admin in Blog
jquery-icon.jpg

The next major version of e107 will support jQuery by default

Icon Well, it's official - e107 v2.0 will support the jQuery framework.
Quite some time ago (years?) e107 Inc. had decided to utilize prototype.js as the default framework in it's next major release - formerly known as '0.8' and more recently as v2.0. But as the months have rolled-on jQuery has clearly forged ahead to become the leading javascript framework worldwide, with a massive list of plugins to its credit. It's easy learning-curve and concise mark-up certainly make it a good match for e107.
Anyway, if any of you have been holding back from using jQuery in your plugins (perhaps due to compatibility concerns?), there's no longer any need - code away! And for those of you who still favor exclusively using prototype.js - it will still be possible to disable all the jQuery code and use prototype.js or some other framework of your choice with just the click of a button in the preferences. (be warned though, you might miss some of the cool features! wink )

So, spread the news and let us know your thoughts and experiences with jQuery in the comments below.


All the best,
Cameron


Social Links